Imports System.Data.SqlClient

Module Module1

    Private ConnectString As String = _
      "Data Source=localhost;Initial Catalog=Northwind;Integrated Security=SSPI"
    Private con As New SqlConnection(ConnectString)

    Public Sub Main()
        ' Włączamy gromadzenie danych statystycznych
        con.StatisticsEnabled = True

        ' Wykonujemy dwa przykładowe polecenia
        SampleCommand()
        SampleCommand()

        ' Pobieramy tabelę przestawną z danymi statystycznymi
        Dim Stats As Hashtable = con.RetrieveStatistics()

        ' Wyświetlamy wszystkie dane
        For Each Key As String In Stats.Keys
            Console.WriteLine(Key & " = " & Stats(Key))
        Next

        Console.ReadLine()
    End Sub

    Private Sub SampleCommand()
        con.Open()
        Dim cmd As New SqlCommand("SELECT * FROM Customers", con)
        Dim reader As SqlDataReader = cmd.ExecuteReader()
        reader.Close()
        con.Close()
    End Sub

End Module
